NTPQ(8)

NAME
ntp-wait - wait for NTP server to synchronize

SYNOPSIS
ntp-wait [ -f ] [ -n tries ] [ -s sleep ] [ -v ]

DESCRIPTION
ntp-wait waits until the locally running ntpd is in state 4 (synchronized). This could be useful at boot time, to delay the boot sequence until after "ntpd -g" has set the time.

OPTIONS

-f  Force hard failure if state is unknown.

-n tries
    Number of tries before giving up (default 1000 = 10min+)

-s sleep
    Seconds to sleep between tries (default 6s = 10/min)

-v  Be verbose.